Hi there
I’m trying to use a scrpited component downloaded from the website of the TU DELFT (thanks to them). This grasshopper routine they produced is supposed to create a ramp from ANY curve in plan (very useful if it worked).
However it’s an old file, and one of the component is custom scripted with elements that don’t seem to work anymore.
here it are the warnings:
- Warning: ‘RMA.Rhino.MRhinoDoc’ est obsolète : 'Use RhinoCommon if possible
- Warning: ‘RMA.Rhino.MRhinoApp’ est obsolète : ‘Use RhinoCommon if possible (http://wiki.mcneel.com/developer/rhinocommon)’. (line 43)
and here is the complete script:
Private Sub RunScript(ByVal Points As List(Of On3dPoint), ByVal Height As Double, ByRef TranslatedPoints As Object)
Dim numberOfPoints As Integer = Points.Count()
Dim heightBetweenPoints As Double = Height / numberOfPoints
Dim NewPoints As New List(Of On3dPoint)
Dim index As Integer
For index = 0 To (numberOfPoints - 1)
Dim existingPoint As On3dPoint = Points(index)
Dim newPoint As New On3dPoint
newPoint.x = existingPoint.x
newPoint.y = existingPoint.y
newPoint.z = existingPoint.z + (heightBetweenPoints * (index + 1))
NewPoints.Add(newPoint)
Next
TranslatedPoints = NewPoints
End Sub
I’m just an old architect trying to design stuff and all since is like an Alien language to me.
Anyone could help me find a replacement for either the whole script or the incorrect commands?
Here is a link to the original file:
https://github.com/inquisitiveSoft/Curving-Ramp-in-Grasshopper/archive/1.0.zip
Thanks all for your help